using PkmnLib.Dynamic.Libraries;

namespace PkmnLib.Plugin.Gen7.Tests;

public static class LibraryHelpers
{
    public static IDynamicLibrary LoadLibrary()
    {
        var dynamicLibrary = DynamicLibraryImpl.Create([
            new Gen7Plugin(new Gen7PluginConfiguration
            {
                DamageCalculatorHasRandomness = false,
            }),
        ]);
        return dynamicLibrary;
    }
}